{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "defaultContent" : "EditorPlugInExample",
    "lanResTag" : "MENUITEM.CAPTION.EDITORPLUGINEXAMPLE",
    "lanResType" : "MENUITEM.CAPTION",
    "mOSFilePath" : "pslanguageres/Auto2092",
    "name" : "菜单项文本[编辑器插件示例]",
    "rTMOSFilePath" : "pslanguageres/Auto2092",
    "refFlag" : true
  },
  "caption" : "编辑器插件示例",
  "codeName" : "IBIZSample0001Usr3EditView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0001Usr3EditView.json",
  "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZSample0001Usr3EditView",
  "name" : "IBIZSample0001Usr3EditView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0001.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Sample.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "EditView",
    "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZSample0001Usr3EditView/psappviewengines/engine",
    "name" : "engine",
    "getPSUIEngineParams" : [ {
      "ctrlName" : "form",
      "name" : "FORM",
      "paramType" : "CTRL"
    }, {
      "name" : "P2K",
      "paramType" : "VALUE",
      "value" : 0
    } ]
  } ],
  "getPSAppViewMsgGroup" : {
    "modelref" : true,
    "id" : "VMGroup67"
  },
  "getPSControls" : [ {
    "codeName" : "Main2",
    "controlType" : "FORM",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create"
    },
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0001/PSFORMS/Main2.json",
    "getGetDraftFromPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraftfrom"
    },
    "getGetDraftPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraft"
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load"
    },
    "hookEventNames" : [ "LOAD", "SAVE", "REMOVE" ],
    "logicName" : "表单界面模式",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0001/psdeform_editforms/Main2",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0001.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0001.json"
        }
      }, {
        "actionName" : "GETDRAFTFROM",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraftfrom",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0001.json"
        }
      }, {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0001.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0001.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0001.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0001.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "编辑表单处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "LOAD;SAVE;REMOVE",
      "logicTag" : "form",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_form",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "FORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "srfupdatedate",
      "hidden" : true,
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "srforikey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfkey",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZSAMPLE0001ID",
        "codeName" : "IBIZSample0001Id"
      }
    }, {
      "id" : "srfmajortext",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZSAMPLE0001NAME",
        "codeName" : "IBIZSample0001Name"
      }
    }, {
      "id" : "srftempmode",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfuf",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfdeid",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfsourcekey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "field01",
      "dataType" : 25
    }, {
      "id" : "field01_1",
      "dataType" : 25
    }, {
      "id" : "ibizsample0001id",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZSAMPLE0001ID",
        "codeName" : "IBIZSample0001Id"
      }
    } ],
    "getPSDEFormPages" : [ {
      "getCapPSLanguageRes" : {
        "defaultContent" : "基本信息",
        "lanResTag" : "CONTROL.DEFORM.IBIZSAMPLE0001.MAIN2.FORMPAGE.FORMPAGE1",
        "lanResType" : "CONTROL",
        "mOSFilePath" : "pslanguageres/Auto374",
        "name" : "控件文本（CONTROL.*）[DEFORM.IBIZSAMPLE0001.MAIN2.FORMPAGE.FORMPAGE1]",
        "rTMOSFilePath" : "pslanguageres/Auto374",
        "refFlag" : true
      },
      "caption" : "基本信息",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "mOSFilePath" : "psdeformdetail_formpages/formpage1",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "actionGroupExtractMode" : "ITEM",
        "caption" : "单选项列表",
        "codeName" : "group1",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "mOSFilePath" : "psdeformdetail_grouppanels/group1",
        "name" : "group1",
        "getPSDEFormDetails" : [ {
          "getCapPSLanguageRes" : {
            "defaultContent" : "文本，可指定长度（默认）",
            "lanResTag" : "CONTROL.DEFORM.IBIZSAMPLE0001.MAIN2.FORMITEM.FIELD01",
            "lanResType" : "CONTROL",
            "mOSFilePath" : "pslanguageres/Auto559",
            "name" : "控件文本（CONTROL.*）[DEFORM.IBIZSAMPLE0001.MAIN2.FORMITEM.FIELD01]",
            "rTMOSFilePath" : "pslanguageres/Auto559",
            "refFlag" : true
          },
          "caption" : "测试",
          "codeName" : "field01",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "TOP",
          "labelWidth" : 250,
          "mOSFilePath" : "psdeformdetail_formitems/field01",
          "name" : "field01",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorParams" : {
              "editorType" : "botton"
            },
            "editorType" : "RADIOBUTTONLIST",
            "name" : "field01",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SCODELIST_TEXT.json"
            }
          },
          "getPSLayoutPos" : {
            "colLG" : 6,
            "colMD" : 6,
            "colSM" : 6,
            "colXS" : 6,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/field01",
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "defaultContent" : "文本，可指定长度（密码框界面模式）",
            "lanResTag" : "CONTROL.DEFORM.IBIZSAMPLE0001.MAIN2.FORMITEM.FIELD01_1",
            "lanResType" : "CONTROL",
            "mOSFilePath" : "pslanguageres/Auto1450",
            "name" : "控件文本（CONTROL.*）[DEFORM.IBIZSAMPLE0001.MAIN2.FORMITEM.FIELD01_1]",
            "rTMOSFilePath" : "pslanguageres/Auto1450",
            "refFlag" : true
          },
          "caption" : "测试2",
          "codeName" : "field01_1",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "TOP",
          "labelWidth" : 250,
          "mOSFilePath" : "psdeformdetail_formitems/field01_1",
          "name" : "field01_1",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "RADIOBUTTONLIST",
            "name" : "field01_1",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SCODELIST_TEXT.json"
            }
          },
          "getPSLayoutPos" : {
            "colLG" : 6,
            "colMD" : 6,
            "colSM" : 6,
            "colXS" : 6,
            "layout" : "TABLE_24COL"
          },
          "getPSSysPFPlugin" : {
            "pluginType" : "CUSTOM",
            "pluginCode" : "PFPlugin14"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/field01_1",
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_grouppanels/group1",
        "infoGroupMode" : false,
        "showCaption" : false
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "psdeformdetail_formpages/formpage1",
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZSample0001Usr3EditView/psappviewctrls/form",
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove"
    },
    "tabHeaderPos" : "TOP",
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update"
    },
    "noTabHeader" : true,
    "name" : "form",
    "modelid" : "05aaeba0c771a4f0c0bd5f2397b4c367",
    "modeltype" : "PSDEFORM_EDITFORM"
  } ],
  "getPSDEViewCodeName" : "Usr3EditView",
  "getPSDEViewId" : "4a9fcd34e1534fd09c61fbf852a8e425",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEEDITVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0001/pssysviewlayoutpanels/Layoutpanel",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0001.json"
    },
    "getPSControlParam" : { },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZSample0001Usr3EditView/psappviewctrls/layoutpanel",
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZSample0001Usr3EditView",
  "subCaption" : "编辑器插件示例",
  "title" : "编辑器插件示例",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEEDITVIEW",
  "xDataControlName" : "form",
  "enableDP" : true,
  "showCaptionBar" : false,
  "showDataInfoBar" : true,
  "modelid" : "6230296bda88a91a67631daac946281b",
  "modeltype" : "PSAPPDEVIEW",
  "getPSAppDERSPaths" : [ [ {
    "actionRSMode" : 1,
    "codeName" : "IBIZSample0001s",
    "dataRSMode" : 0,
    "mOSFilePath" : "pssysapps/Web/psappders/IBIZSample0001s",
    "majorDECodeName" : "IBIZSample0002",
    "majorDEName" : "IBIZSAMPLE0002",
    "getMajorPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0002.json"
    },
    "minorDECodeName" : "IBIZSample0001",
    "minorDEName" : "IBIZSAMPLE0001",
    "getMinorPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0001.json"
    },
    "name" : "示例实体1_示例实体2",
    "getParentPSAppDEField" : {
      "name" : "IBIZSAMPLE0002ID",
      "codeName" : "IBIZSample0002Id"
    },
    "rSMode" : 2,
    "rTMOSFilePath" : "pssysapps/Web/psappders/IBIZSample0001s"
  } ] ]
}